snmp_msg.h File Reference
`#include "lwip/apps/snmp_opts.h"`
`#include "lwip/apps/snmp.h"`
`#include "lwip/apps/snmp_core.h"`
`#include "snmp_pbuf_stream.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/err.h"`

## Data Structures

struct | snmp_varbind_len

## Functions

err_t | snmp_varbind_length (struct snmp_varbind *varbind, struct snmp_varbind_len *len)

## Variables

const char * | snmp_community
const char * | snmp_community_write
void * | snmp_traps_handle

## Detailed Description

SNMP Agent message handling structures (internal API, do not use in client code).

## Function Documentation

## snmp_varbind_length()

err_t snmp_varbind_length | ( | struct snmp_varbind * | varbind,
|  | struct snmp_varbind_len * | len
| ) |  |

Calculate the length of a varbind list

## Variable Documentation

## snmp_community

const char* snmp_community

extern

Agent community string

SNMP community string

## snmp_community_write

const char* snmp_community_write

extern

Agent community string for write access

SNMP community string for write access

## snmp_traps_handle

void* snmp_traps_handle

extern

handle for sending traps